Name:           frotz
Version:        2.44
Release:        %mkrel 1
Summary:        An interpreter for all Infocom and other Z-machine games
License:        GPL-2.0
Group:          Games/Adventure
URL:            http://frotz.sourceforge.net/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FROTZ is an interpreter for all Infocom and other Z-machine games.
It complies with standard 1.0 of Graham Nelson's specification.

Originally written by Stefan Jokisch in 1995-1997.
Ported to Unix by Galen Hazelwood.
Reference code and Unix port currently maintained by David Griffith.

- Compiles and runs on most common flavors of Unix, both open source and not.
- Plays all Z-code games including V6.
- Old-style sound support through OSS driver.
- Config files.
- Configurable error checking.
- Default use of the Quetzal file format.  Command line option to use the
  old format.  There are several differences between the old-style save
  format at Quetzal such that converting from old-style and Quetzal is
  difficult if not impossible.  This also means you can't restore an
  old-style save and then save your game in Quetzal.
- Optional speech synthesis and recognition through FLITE and Sphinx.
- Distributed under the GNU Public License.

Documentation is stored in the %_defaultdocdir/%{name} folder.

For information on what Interactive Fiction is and how to play it, see the
file "HOW_TO_PLAY"

For installation information, see the file "INSTALL".

For information on the speech synthesis and recognition capabilities of
Frotz, see the file "SPEECH".

For update history, see the file "Changelog".

For information on known bugs in Frotz, see the file "BUGS".

%prep
%setup -q

sed -i 's|PREFIX = /usr/local|PREFIX = \$(DESTDIR)/usr|' Makefile
sed -i 's|MAN_PREFIX = $(PREFIX)|MAN_PREFIX = \$(PREFIX)/share|' Makefile
sed -i 's|CONFIG_DIR = /usr/local/etc|CONFIG_DIR = /etc|' Makefile
sed -i 's|CURSES = -lcurses|CURSES = -lcurses -ltinfo|' Makefile

%build
%make 

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/etc
touch %{buildroot}%{_sysconfdir}/frotz.conf

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog DUMB HOW_TO_PLAY INSTALL PORTING README README.1st SPEECH TODO doc/frotz.conf-big doc/frotz.conf-small
%{_bindir}/frotz
%config(noreplace) %{_sysconfdir}/frotz.conf
%{_mandir}


%changelog
* Thu Jun 15 2017  MBantz <martin dot bantz at gmail dot com> 2017-2.44-1pclos2017
- Adapted to PCLinuxOS from joop dot boonen at opensuse dot org

